JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IteratorPair< Begin, End > Class Template Reference
juce_core » containers

Wraps a pair of iterators, providing member begin() and end() functions that return those iterators. More...

`#include <juce_Enumerate.h>`

## Public Member Functions
constexpr | IteratorPair (Begin bIn, End eIn)
| Constructs a pair from a begin and end iterator.
constexpr auto | begin () const
| Returns the begin iterator.
constexpr auto | end () const
| Returns the end iterator.

## Detailed Description

template<typename Begin, typename End>
class IteratorPair< Begin, End >

Wraps a pair of iterators, providing member begin() and end() functions that return those iterators.

This is useful in situations where you have an iterator pair, but want to use that pair somewhere that requires an iterable range, such as in a ranged-for loop.

See also
  makeRange()

## Constructor & Destructor Documentation

## ◆ IteratorPair()

template<typename Begin , typename End >

constexpr IteratorPair< Begin, End >::IteratorPair | ( | Begin | bIn,
|  | End | eIn )
| constexpr

Constructs a pair from a begin and end iterator.

Instead of calling this directly, use makeRange().

## Member Function Documentation

## ◆ begin()

template<typename Begin , typename End >

constexpr auto IteratorPair< Begin, End >::begin | ( |  | ) | const
| constexpr

Returns the begin iterator.

## ◆ end()

template<typename Begin , typename End >

constexpr auto IteratorPair< Begin, End >::end | ( |  | ) | const
| constexpr

Returns the end iterator.

The documentation for this class was generated from the following file:

- juce_Enumerate.h